in , ,

Inżynier Google odkrył poważne luki bezpieczeństwa w ekosystemie iOS

Firma Apple zdołała się już z nimi uporać, ale są też nowe skargi

W zeszłym tygodniu Apple było zmuszone wydać aktualizację iOS 12.1.4. Jak się okazuje przynosiła ona nie tylko naprawę błędu, który pozwalał podsłuchać rozmówcę przez FaceTime, ale także inne poważne zagrożenia. Pierwsza z luk pozwalała na wykorzystanie uszkodzonej pamięci i uzyskanie większych uprawnień. Drugi natomiast zezwalał na wywołanie dowolnego kodu w jądrze systemu.

Te dwie poważne luki odkrył i ujawnił na Twitterze Ben Hawkes, inżynier ds. bezpieczeństwa w Google. Opublikował on swoje znaleziska przed poinformowaniem Apple, a więc każdy mógł je wykorzystać do ataków. Zostały one oznaczone jako CVE-2019-7286 i CVE-2019-7287. Z dziennika zmian w iOS 12.1.4 wynika, że pierwszy z nich dotyczył iOS Foundation.

Jak widać warto więc jak najszybciej zainstalować aktualizację iOS 12.1.4, jeśli jeszcze tego nie zrobiliście. Jednak niektórzy użytkownicy skarżą się na inne problemy, których nie było przed instalacją tej wersji. Jeden z nich mówi, że jego iPhone nie akceptuje żadnych kart SIM i nie może wykonywać żadnych połączeń.

Kolejne zgłoszenia dotyczą iPhone XS i iPhone XS Max, które mają odpowiednio problem z kartami SIM oraz połączeniem się z siecią Wi-Fi. Są też skargi odnośnie iOS 12.1.1, które dotyczą wydajności AirPods, Touch ID oraz innych funkcji.

Komentarze

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

Ładowanie…

0

Comments

0 comments